/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.basic.info.modular.usercollect.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 采集人员枚举
 *
 * @author weiyinbin
 * @date 2024/04/02 15:40
 **/
@AllArgsConstructor
public enum UserCollectEnum {

    PHONE_ERROR("999999", "手机格式错误"),

    PASSWORD_ERROR("999999","密码格式错误"),

    KEYPAIR_ERROR("999999","秘钥生成失败"),
    DECRYPT_ERROR("999999","解密失败"),
    ADDUSER_ERROR("999999","新增监测采集人员信息失败"),
    GETUSERPRICE_ERROR("999999","获取价格监测信息失败"),

    USERPRICE_ERROR("999999","新增采集人员-价格检测关系失败"),
    DATA_ERRER("999999","数据库异常");


    private String code;

    private String value;

    public String getCode() {
        return code;
    }

    public String getValue() {
        return value;
    }
}
